Summary:	A PHP extension for the Google ctemplate library
Name:		php-ctemplate
Version:	1.3
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD
URL:		http://code.google.com/p/php-ctemplate/
Source0:	http://php-ctemplate.googlecode.com/files/cTemplate-%{version}.tar.bz2
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	ctemplate-devel >= 0.90
BuildRequires:	libstdc++-devel
Provides:	php-cTemplate = %{version}-%{release}
Obsoletes:	php-cTemplate
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
php_ctemplate is a PHP extension for the Google ctemplate library. Most
functions have been implemented (about 90%).

%prep

%setup -q -n cTemplate-%{version}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

# nuke this
perl -pi -e "s|-Werror -Wall -g||g" config.m4

%build
%serverbuild

export CTEMPLATE_SHARED_LIBADD="-lpthread"

phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --with-cTemplate=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 cTemplate.so %{buildroot}%{_libdir}/php/extensions/ctemplate.so

cat > %{buildroot}%{_sysconfdir}/php.d/A49_ctemplate.ini << EOF
extension = ctemplate.so
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/*_ctemplate.ini
%attr(0755,root,root) %{_libdir}/php/extensions/ctemplate.so


%changelog
* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdv2009.0
+ Revision: 238382
- rebuild

* Mon May 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2009.0
+ Revision: 206278
- 1.3
- lowercase the package spec file name
- lowercase the package name

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2009.0
+ Revision: 200466
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.0
+ Revision: 200380
- 1.2
- rebuilt for php-5.2.6
- restart apache if needed
- 1.1
- rebuilt against php-5.2.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - rebuild b/c of missing subpackage on ia32
    - rebuild (missing on ia32)

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-10mdv2008.0
+ Revision: 40051
- rebuild
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-8mdv2008.0
+ Revision: 33798
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdv2008.0
+ Revision: 21318
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdv2007.0
+ Revision: 117544
- rebuilt against new upstream version (5.2.1)
- fix deps
- rebuilt for php-5.2.0
- Import php-cTemplate

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-3
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2007.1
- rebuild

* Fri Jul 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- 0.5

* Mon May 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdk
- 0.4

* Wed May 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdk
- 0.3

* Tue May 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- fix linkage (#22344)

* Mon May 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- 0.1 (Minor feature enhancements)

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-3mdk
- rebuilt for php-5.1.4

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-2mdk
- rebuilt for php-5.1.3

* Wed May 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-1mdk
- initial mandriva package

